Skip to main content
GET
/
o
/
{organisation_id}
/
projects
List projects for organisation
curl --request GET \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/projects \
  --header 'Authorization: Bearer <token>'
{
  "projects": [
    {
      "id": "<string>",
      "name": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "environments": [
        {
          "id": "<string>",
          "name": "<string>",
          "status": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "publicUrl": "<string>",
          "config": {
            "deploymentSpec": {
              "replicas": 123,
              "autoscaling": {
                "maxReplicas": 123
              },
              "staticIP": true,
              "resources": {
                "limits": {
                  "cpu": "<string>",
                  "memory": "<string>"
                },
                "requests": {
                  "cpu": "<string>",
                  "memory": "<string>"
                }
              },
              "serviceAccountName": "<string>"
            }
          },
          "executionPool": "<string>",
          "files": [
            {
              "filename": "<string>",
              "content": "<string>"
            }
          ],
          "labels": {},
          "deployedVersion": {
            "id": "<string>",
            "name": "<string>",
            "state": "draft",
            "createdAt": "2023-11-07T05:31:56Z",
            "description": "<string>",
            "labels": {}
          }
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required

Response

OK

ProjectsList is the response body for listing all projects.

projects
object[]
required